Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util
Class ImmModeSink.VBOSet

    java.lang.Object
      com.sun.opengl.util.ImmModeSink.VBOSet

Enclosing class:
  ImmModeSink

    protected static class ImmModeSink.VBOSet

extends Object

Field Summary
`protected int` | `bSize`
`protected ByteBuffer` | `buffer`
`protected boolean` | `bufferEnabled`
`protected boolean` | `bufferWritten`
`protected GLArrayDataWrapper` | `cArrayData`
`protected int` | `cComps`
`protected int` | `cDataType`
`protected int` | `cOffset`
`static int` | `COLOR`
`protected Buffer` | `colorArray`
`protected int` | `count`
`protected GL` | `gl`
`protected int` | `glBufferUsage`
`protected int` | `initialSize`
`protected int` | `mode`
`protected int` | `modeOrig`
`protected GLArrayDataWrapper` | `nArrayData`
`protected int` | `nComps`
`protected int` | `nDataType`
`protected int` | `nOffset`
`static int` | `NORMAL`
`protected Buffer` | `normalArray`
`protected boolean` | `sealed`
`protected boolean` | `sealedGL`
`protected GLArrayDataWrapper` | `tArrayData`
`protected int` | `tComps`
`protected int` | `tDataType`
`static int` | `TEXTCOORD`
`protected Buffer` | `textCoordArray`
`protected int` | `tOffset`
`protected boolean` | `useGLSL`
`protected GLArrayDataWrapper` | `vArrayData`
`protected int` | `vboName`
`protected int` | `vComps`
`protected int` | `vDataType`
`static int` | `VERTEX`
`protected Buffer` | `vertexArray`
`protected int` | `vOffset`

Constructor Summary
`protected` | `ImmModeSink.VBOSet(GL gl, int glBufferUsage, int initialSize, int vComps, int vDataType, int cComps, int cDataType, int nComps, int nDataType, int tComps, int tDataType, boolean useGLSL)`

Method Summary
`protected void` | `allocateBuffer(int elements)`
`protected void` | `checkSeal(boolean test)`
`void` | `destroy(GL gl)`
`protected void` | `draw(GL gl, Buffer indices, boolean disableBufferAfterDraw, int i)`
`void` | `enableBuffer(GL gl, boolean enable)`
`void` | `enableBufferFixed(GL gl, boolean enable)`
`void` | `enableBufferGLSL(GL gl, boolean enable)`
`void` | `glColor3b(byte r, byte g, byte b)`
`void` | `glColor3f(float r, float g, float b)`
`void` | `glColor3s(short r, short g, short b)`
`void` | `glColor4b(byte r, byte g, byte b, byte a)`
`void` | `glColor4f(float r, float g, float b, float a)`
`void` | `glColor4s(short r, short g, short b, short a)`
`void` | `glColorv(Buffer v)`
`void` | `glNormal3b(byte x, byte y, byte z)`
`void` | `glNormal3f(float x, float y, float z)`
`void` | `glNormal3s(short x, short y, short z)`
`void` | `glNormalv(Buffer v)`
`void` | `glTexCoord2b(byte x, byte y)`
`void` | `glTexCoord2f(float x, float y)`
`void` | `glTexCoord2s(short x, short y)`
`void` | `glTexCoord3b(byte x, byte y, byte z)`
`void` | `glTexCoord3f(float x, float y, float z)`
`void` | `glTexCoord3s(short x, short y, short z)`
`void` | `glTexCoordv(Buffer v)`
`void` | `glVertex2b(byte x, byte y)`
`void` | `glVertex2f(float x, float y)`
`void` | `glVertex2s(short x, short y)`
`void` | `glVertex3b(byte x, byte y, byte z)`
`void` | `glVertex3f(float x, float y, float z)`
`void` | `glVertex3s(short x, short y, short z)`
`void` | `glVertexv(Buffer v)`
`protected void` | `growBuffer(int type, int additional)`
`protected boolean` | `growBufferIfNecessary(int type, int spare)`
`protected void` | `padding(int type, int fill)`
`protected ImmModeSink.VBOSet` | `regenerate()`
`void` | `reset()`
`void` | `reset(GL gl)`
`void` | `rewind()`
`void` | `seal(boolean seal)`
`void` | `seal(GL glObj, boolean seal)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mode

    protected int mode

### modeOrig

    protected int modeOrig

### glBufferUsage

    protected int glBufferUsage

### initialSize

    protected int initialSize

### buffer

    protected ByteBuffer buffer

### bSize

    protected int bSize

### count

    protected int count

### vboName

    protected int vboName

### VERTEX

    public static final int VERTEX

See Also:
  Constant Field Values

### COLOR

    public static final int COLOR

See Also:
  Constant Field Values

### NORMAL

    public static final int NORMAL

See Also:
  Constant Field Values

### TEXTCOORD

    public static final int TEXTCOORD

See Also:
  Constant Field Values

### vOffset

    protected int vOffset

### cOffset

    protected int cOffset

### nOffset

    protected int nOffset

### tOffset

    protected int tOffset

### vComps

    protected int vComps

### cComps

    protected int cComps

### nComps

    protected int nComps

### tComps

    protected int tComps

### vDataType

    protected int vDataType

### cDataType

    protected int cDataType

### nDataType

    protected int nDataType

### tDataType

    protected int tDataType

### vertexArray

    protected Buffer vertexArray

### colorArray

    protected Buffer colorArray

### normalArray

    protected Buffer normalArray

### textCoordArray

    protected Buffer textCoordArray

### vArrayData

    protected GLArrayDataWrapper vArrayData

### cArrayData

    protected GLArrayDataWrapper cArrayData

### nArrayData

    protected GLArrayDataWrapper nArrayData

### tArrayData

    protected GLArrayDataWrapper tArrayData

### sealed

    protected boolean sealed

### sealedGL

    protected boolean sealedGL

### useGLSL

    protected boolean useGLSL

### bufferEnabled

    protected boolean bufferEnabled

### bufferWritten

    protected boolean bufferWritten

### gl

    protected GL gl

Constructor Detail

### ImmModeSink.VBOSet

    protected ImmModeSink.VBOSet(GL gl,
                                 int glBufferUsage,
                                 int initialSize,
                                 int vComps,
                                 int vDataType,
                                 int cComps,
                                 int cDataType,
                                 int nComps,
                                 int nDataType,
                                 int tComps,
                                 int tDataType,
                                 boolean useGLSL)

Method Detail

### regenerate

    protected final ImmModeSink.VBOSet regenerate()

### checkSeal

    protected void checkSeal(boolean test)
                      throws GLException

  Throws:
    `GLException`

### draw

    protected void draw(GL gl,
                        Buffer indices,
                        boolean disableBufferAfterDraw,
                        int i)

### glVertexv

    public void glVertexv(Buffer v)

### glNormalv

    public void glNormalv(Buffer v)

### glColorv

    public void glColorv(Buffer v)

### glTexCoordv

    public void glTexCoordv(Buffer v)

### glVertex2b

    public void glVertex2b(byte x,
                           byte y)

### glVertex3b

    public void glVertex3b(byte x,
                           byte y,
                           byte z)

### glVertex2s

    public void glVertex2s(short x,
                           short y)

### glVertex3s

    public void glVertex3s(short x,
                           short y,
                           short z)

### glVertex2f

    public void glVertex2f(float x,
                           float y)

### glVertex3f

    public void glVertex3f(float x,
                           float y,
                           float z)

### glNormal3b

    public void glNormal3b(byte x,
                           byte y,
                           byte z)

### glNormal3s

    public void glNormal3s(short x,
                           short y,
                           short z)

### glNormal3f

    public void glNormal3f(float x,
                           float y,
                           float z)

### glColor3b

    public void glColor3b(byte r,
                          byte g,
                          byte b)

### glColor4b

    public void glColor4b(byte r,
                          byte g,
                          byte b,
                          byte a)

### glColor3s

    public void glColor3s(short r,
                          short g,
                          short b)

### glColor4s

    public void glColor4s(short r,
                          short g,
                          short b,
                          short a)

### glColor3f

    public void glColor3f(float r,
                          float g,
                          float b)

### glColor4f

    public void glColor4f(float r,
                          float g,
                          float b,
                          float a)

### glTexCoord2b

    public void glTexCoord2b(byte x,
                             byte y)

### glTexCoord3b

    public void glTexCoord3b(byte x,
                             byte y,
                             byte z)

### glTexCoord2s

    public void glTexCoord2s(short x,
                             short y)

### glTexCoord3s

    public void glTexCoord3s(short x,
                             short y,
                             short z)

### glTexCoord2f

    public void glTexCoord2f(float x,
                             float y)

### glTexCoord3f

    public void glTexCoord3f(float x,
                             float y,
                             float z)

### rewind

    public void rewind()

### destroy

    public void destroy(GL gl)

### reset

    public void reset(GL gl)

### reset

    public void reset()

### seal

    public void seal(GL glObj,
                     boolean seal)

### seal

    public void seal(boolean seal)

### enableBuffer

    public void enableBuffer(GL gl,
                             boolean enable)

### enableBufferFixed

    public void enableBufferFixed(GL gl,
                                  boolean enable)

### enableBufferGLSL

    public void enableBufferGLSL(GL gl,
                                 boolean enable)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### allocateBuffer

    protected void allocateBuffer(int elements)

### growBufferIfNecessary

    protected final boolean growBufferIfNecessary(int type,
                                                  int spare)

### growBuffer

    protected final void growBuffer(int type,
                                    int additional)

### padding

    protected void padding(int type,
                           int fill)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.